package distribute

type WorkerManager interface {
	WorkerCount() int
}

type ModelLibrary interface {
	UpdateModelInfo([]ModelDetailInfo)
	FindModel(int) ModelDetailInfo
	FindModelByName(string) ModelDetailInfo
	InstalledWorkerCount(int) int
	AllModel() SortedModelDetailInfos
	GetModelUsedLevel(int) ModelUsedLevel
}
